package com.zulutrade.sample.trading.client.trading.dtos;

import org.codehaus.jackson.annotate.JsonAutoDetect;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;

@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class UpdateValueResponseMessage {

	private boolean success;
	private String uniqueId;
	private String brokerTicket;
	private String providerTicket;
	private double newValue;
	private String valueType;
	private int errorCode;
	private String errorMessage;
	
	public boolean isSuccess(){
		return this.success;
	}
	
	public void setSuccess(boolean success){
		this.success = success;
	}
	
	public String getUniqueId(){
		return this.uniqueId;
	}

	public void setUniqueId(String uniqueId){
		this.uniqueId = uniqueId;
	}
	
	public String getBrokerTicket() {
		return brokerTicket;
	}

	public void setBrokerTicket(String brokerTicket) {
		this.brokerTicket = brokerTicket;
	}

	public String getProviderTicket() {
		return providerTicket;
	}

	public void setProviderTicket(String providerTicket) {
		this.providerTicket = providerTicket;
	}

	public double getNewValue() {
		return this.newValue;
	}

	public void setNewValue(double newValue) {
		this.newValue = newValue;
	}
	
	public String getValueType() {
		return this.valueType;
	}
	
	public void setValueType(String valueType) {
		this.valueType = valueType;
	}
	
	public int getErrorCode(){
		return this.errorCode;
	}
	
	public void setErrorCode(int errorCode){
		this.errorCode = errorCode;
	}
	
	public String getErrorMessage(){
		return this.errorMessage;
	}
	
	public void setErrorMessage(String errorMessage){
		this.errorMessage = errorMessage;
	}
	
}
